# $Revision: 1.38 $, $Date: 2012/01/31 11:50:15 $
# TODO:
# - cron?
%define		mod_name	bw
%define 	apxs		/usr/sbin/apxs
Summary:	Apache module: bandwidth limits
Summary(pl.UTF-8):	Moduł do Apache: limity pasma
Name:		apache-mod_%{mod_name}
Version:	0.92
Release:	4
License:	Apache v2.0
Group:		Networking/Daemons/HTTP
Source0:	http://ivn.cl/files/source/mod_bw-%{version}.tgz
# Source0-md5:	90f5e632dad5de8d49dcdb61453dcf97
Source1:	%{name}.conf
Source2:	%{name}.tmpfiles
URL:		http://www.ivn.cl/apache/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	apache(modules-api) = %apache_modules_api
Requires:	crondaemon
Requires:	procps
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)/conf.d

%description
"Mod_bandwidth" is a module for the Apache webserver that enable the
setting of server-wide or per connection bandwidth limits, based on
the directory, size of files and remote IP/domain.

%description -l pl.UTF-8
Moduł pozwalający na ograniczanie pasma serwera Apache bazując na
katalogu, wielkości plików lub zdalnym IP/domenie.

%prep
%setup -qc

%build
%{apxs} -c mod_bw.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}} \
	$RPM_BUILD_ROOT%{_var}/run/%{name}/{link,master} \
	$RPM_BUILD_ROOT{/etc/cron.d,%{_sbindir}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

install -p .libs/mod_bw.so $RPM_BUILD_ROOT%{_pkglibdir}/mod_%{mod_name}.so
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/97_mod_%{mod_name}.conf
install %{SOURCE2} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc mod_bw.txt LICENSE ChangeLog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so
#%config(noreplace) %verify(not size mtime md5) %attr(640,root,root) /etc/cron.d/%{name}
#%attr(755,root,root) %{_sbindir}/*
/usr/lib/tmpfiles.d/%{name}.conf
%attr(750,http,root) %dir %{_var}/run/%{name}
%attr(750,http,root) %dir %{_var}/run/%{name}/link
%attr(750,http,root) %dir %{_var}/run/%{name}/master

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_bw.spec,v $
Revision 1.38  2012/01/31 11:50:15  baggins
- release 4

Revision 1.37  2012/01/30 20:30:48  baggins
- rel 3
- added tmpfiles config for systemd

Revision 1.36  2011/10/21 18:51:48  glen
- fix config dir

Revision 1.35  2011/06/10 10:59:01  glen
- license version

Revision 1.34  2011/06/10 10:53:36  glen
- up to 0.92, builds

Revision 1.33  2008/10/25 15:50:01  blues
- HTTP group

Revision 1.32  2007/12/09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.31  2007-06-07 10:51:42  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.30  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.29  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.28  2006/12/04 10:08:28  undefine
- use modules/ path, fix use on systems with lib64
- release 3

Revision 1.27  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.26  2006/01/30 17:39:10  glen
- use %service

Revision 1.25  2005/12/27 01:33:00  glen
- unified files

Revision 1.24  2005/12/26 19:12:50  glen
- unified

Revision 1.23  2005/12/21 23:15:37  glen
- rebuild with new apache
- kill pointless obsolete
- fix restart scriptlets
- rel 2

Revision 1.22  2005/12/12 13:44:44  glen
- adapterized (sorted %verify attrs)

Revision 1.21  2005/03/23 12:35:34  gotar
- %desc

Revision 1.20  2005/03/12 18:43:19  adamg
- reflect name change (mod_bandwidth -> mod_bw)
- release 1

Revision 1.19  2005/03/12 14:54:50  adamg
- fixed config file (default settings work)
- apply apr_1.0.patch (no more unresolved symbols)
- works fine, release 0.3

Revision 1.18  2005/03/12 12:55:08  adamg
- dropped %{_ver} macro, use %{version} where possible
- added LICENSE file
- added TODO entry (think about renaming this spec)
- release 0.2

Revision 1.17  2005/03/08 12:44:45  djrzulf
- cleanups, updated TODO,

Revision 1.16  2005/03/08 08:58:43  wolvverine
- correct %files section
- add conf file

Revision 1.15  2005/03/08 08:21:04  djrzulf
- builds,

Revision 1.14  2005/03/02 19:19:12  paszczus
- updated to 0.6, NFY

Revision 1.13  2005/03/02 19:14:23  mwinkler
- mod_bandwitch apache2, NFY
